Admiral

Credentials

Get a credential

GET
/v1/credentials/{credential_id}

Scope: credential:read

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Path Parameters

credential_id*credential_id

The credential_id path parameter.

Match^cred-[0-9a-z]+$

Response Body

application/json

curl -X GET "https://example.com/v1/credentials/string"
{  "credential": {    "id": "string",    "name": "string",    "description": "string",    "type": "TYPE_UNSPECIFIED",    "auth_config": {      "basic_auth": {        "username": "string",        "password": "string"      }    },    "labels": {      "property1": "string",      "property2": "string"    },    "created_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "created_at": "2023-01-15T01:30:15.01Z",    "updated_at": "2023-01-15T01:30:15.01Z",    "allowed_hosts": [      "string"    ],    "last_used_at": "2023-01-15T01:30:15.01Z"  }}